Subject: [alpine-devel] [PATCH] OpenVPN-AD-Check

From: Alan Messias Cordeiro de Lacerda <[email-masked]>
Date: Tue, 18 Dec 2012 13:48:34 +0000

---
 testing/openvpn-ad-check/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/openvpn-ad-check/APKBUILD

diff --git a/testing/openvpn-ad-check/APKBUILD b/testing/openvpn-ad-check/APKBUILD
new file mode 100644
index 0000000..8b3792e
--- /dev/null
+++ b/testing/openvpn-ad-check/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Alan Messias Cordeiro de Lacerda (alacerda) <[email-masked]>
+# Maintainer: Alan Messias Cordeiro de Lacerda (alacerda) <[email-masked]>
+pkgname=openvpn-ad-check
+pkgver=1
+pkgrel=0
+pkgdesc="Authenticate OpenVPN users against AD server and verify if they are member of a specific group."
+url="https://sourceforge.net/p/openvpnadcheck"
+arch="all"
+license="GPL"
+depends="openvpn lua-ldap"
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://sourceforge.net/projects/openvpnadcheck/files/openvpnadcheck.tgz"
+
+_builddir="$srcdir/$pkgname"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+}
+
+package() {
+        mkdir -p "$pkgdir"/etc/openvpn
+	cd "$_builddir"
+	install -c * "$pkgdir"/etc/openvpn
+	chmod 644 "$pkgdir"/etc/openvpn/openvpnadcheck.conf
+}
+
+md5sums="50517d06d4c2f4078cb64afae414060c  openvpnadcheck.tgz"
-- 
1.8.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---